Subject: Re: linux-next: build warning after merge of the powerpc tree

From: Madhavan Srinivasan <[email-masked]>
Date: Wed, 19 Feb 2025 10:53:36 +0530

On 2/19/25 10:16 AM, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the powerpc tree, today's linux-next build (htmldocs)
> produced this warning:
> 
> WARNING: Documentation/ABI/testing/sysfs-class-cxl not found
> 
> Introduced by commit
> 
>   5731d41af924 ("cxl: Deprecate driver")
> 
> The reference is from Documentation/arch/powerpc/cxl.rst
> 
> I don't know why this has appeared just now.

Ok IIUC, 

There is a 2 patch series to remove the cxl and cxlflash driver

https://lore.kernel.org/lkml/[email-masked]/T/

Now Martin has already applied first patch (cxlflasg driver removal) in 
his staging tree

https://lore.kernel.org/lkml/[email-masked]/T/#r8d7bb4c05256551cdcd6b7b563a8255409b07d70

Now, I was looking at applying the second patch in my tree,
But it is not apply cleanly and has dependency.

So Martin, I can send my Acked-by for the second patch, 
can you take the second patch also via your tree?
which will resolve the issue here 

Maddy